Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1437523005: Custom buttons should only handle accelerators when focused. (Closed)

Created:
3 years, 6 months ago by meacer
Modified:
3 years, 6 months ago
Reviewers:
msw, sky
CC:
chromium-reviews, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Custom buttons should only handle accelerators when focused. BUG=541415 Committed: https://crrev.com/297ae873b471a46929ea39697b121c0b411434ee Cr-Commit-Position: refs/heads/master@{#360130}

Patch Set 1 #

Total comments: 4

Patch Set 2 : msw comments #

Total comments: 4

Patch Set 3 : msw comments #

Total comments: 3

Patch Set 4 : sky comments #

Patch Set 5 : Rebase & style #

Total comments: 2

Patch Set 6 : Add comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+76 lines, -3 lines) Patch
M ui/views/controls/button/custom_button.h View 1 2 3 1 chunk +5 lines, -0 lines 0 comments Download
M ui/views/controls/button/custom_button.cc View 1 2 3 4 5 2 chunks +17 lines, -0 lines 0 comments Download
M ui/views/controls/button/custom_button_unittest.cc View 1 2 3 4 4 chunks +54 lines, -3 lines 0 comments Download

Messages

Total messages: 23 (4 generated)
meacer
3 years, 6 months ago (2015-11-10 19:47:57 UTC) #2
msw
https://codereview.chromium.org/1437523005/diff/1/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/1/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if (!HasFocus()) This isn't quite right... you want to ...
3 years, 6 months ago (2015-11-10 22:48:34 UTC) #3
meacer
https://codereview.chromium.org/1437523005/diff/1/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/1/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if (!HasFocus()) On 2015/11/10 22:48:34, msw wrote: > This ...
3 years, 6 months ago (2015-11-11 00:33:00 UTC) #4
msw
lgtm with a nit https://codereview.chromium.org/1437523005/diff/20001/ui/views/controls/button/custom_button_unittest.cc File ui/views/controls/button/custom_button_unittest.cc (right): https://codereview.chromium.org/1437523005/diff/20001/ui/views/controls/button/custom_button_unittest.cc#newcode102 ui/views/controls/button/custom_button_unittest.cc:102: scoped_ptr<TestWidget> widget_; Hmm, I worry ...
3 years, 6 months ago (2015-11-11 00:55:43 UTC) #5
meacer
+sky as owner https://codereview.chromium.org/1437523005/diff/20001/ui/views/controls/button/custom_button_unittest.cc File ui/views/controls/button/custom_button_unittest.cc (right): https://codereview.chromium.org/1437523005/diff/20001/ui/views/controls/button/custom_button_unittest.cc#newcode102 ui/views/controls/button/custom_button_unittest.cc:102: scoped_ptr<TestWidget> widget_; On 2015/11/11 00:55:43, msw ...
3 years, 6 months ago (2015-11-11 01:00:47 UTC) #7
sky
https://codereview.chromium.org/1437523005/diff/40001/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/40001/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if (GetWidget() && !GetWidget()->IsActive()) Actually, how is the button ...
3 years, 6 months ago (2015-11-11 18:54:01 UTC) #8
meacer
https://codereview.chromium.org/1437523005/diff/40001/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/40001/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if (GetWidget() && !GetWidget()->IsActive()) On 2015/11/11 18:54:01, sky wrote: ...
3 years, 6 months ago (2015-11-12 00:37:32 UTC) #9
msw
On 2015/11/12 00:37:32, Mustafa Emre Acer wrote: > https://codereview.chromium.org/1437523005/diff/40001/ui/views/controls/button/custom_button.cc > File ui/views/controls/button/custom_button.cc (right): > > ...
3 years, 6 months ago (2015-11-12 00:45:44 UTC) #10
meacer
On 2015/11/12 00:45:44, msw wrote: > On 2015/11/12 00:37:32, Mustafa Emre Acer wrote: > > ...
3 years, 6 months ago (2015-11-12 21:11:40 UTC) #11
msw
On 2015/11/12 21:11:40, Mustafa Emre Acer wrote: > On 2015/11/12 00:45:44, msw wrote: > > ...
3 years, 6 months ago (2015-11-12 21:20:09 UTC) #12
sky
I was thinking we should block this at the accelerator dispatching level. By which I ...
3 years, 6 months ago (2015-11-12 23:42:57 UTC) #13
meacer
On 2015/11/12 23:42:57, sky wrote: > I was thinking we should block this at the ...
3 years, 6 months ago (2015-11-12 23:51:47 UTC) #14
sky
On 2015/11/12 23:51:47, Mustafa Emre Acer wrote: > On 2015/11/12 23:42:57, sky wrote: > > ...
3 years, 6 months ago (2015-11-13 01:07:45 UTC) #15
meacer
On 2015/11/13 01:07:45, sky wrote: > On 2015/11/12 23:51:47, Mustafa Emre Acer wrote: > > ...
3 years, 6 months ago (2015-11-16 21:07:36 UTC) #16
sky
LGTM https://codereview.chromium.org/1437523005/diff/80001/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/80001/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if ((IsChildWidget() && !FocusInChildWidget()) || This is subtle ...
3 years, 6 months ago (2015-11-17 14:22:39 UTC) #17
meacer
Thanks. https://codereview.chromium.org/1437523005/diff/80001/ui/views/controls/button/custom_button.cc File ui/views/controls/button/custom_button.cc (right): https://codereview.chromium.org/1437523005/diff/80001/ui/views/controls/button/custom_button.cc#newcode254 ui/views/controls/button/custom_button.cc:254: if ((IsChildWidget() && !FocusInChildWidget()) || On 2015/11/17 14:22:39, ...
3 years, 6 months ago (2015-11-17 18:56:26 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1437523005/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1437523005/100001
3 years, 6 months ago (2015-11-17 18:56:51 UTC) #21
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 6 months ago (2015-11-17 19:43:33 UTC) #22
commit-bot: I haz the power
3 years, 6 months ago (2015-11-17 19:44:19 UTC) #23
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/297ae873b471a46929ea39697b121c0b411434ee
Cr-Commit-Position: refs/heads/master@{#360130}

Powered by Google App Engine
This is Rietveld 408576698